Package ghidra.features.bsim.query.protocol

# Class QueryExeCount

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponseExe>
ghidra.features.bsim.query.protocol.QueryExeCount

public class QueryExeCount extends BSimQuery<ResponseExe>
Query for counting the number of executable records in the database.

This contains all the information required to get a list of all executables in the BSim database that meet a set of filter criteria. The results are stored in the `exeresponse` object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `ResponseExe`
  `exeresponse`
  `String`
  `filterArch`
  `String`
  `filterCompilerName`
  `String`
  `filterExeName`
  `String`
  `filterMd5`
  `boolean`
  `includeFakes`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryExeCount()`
  Query for count of all executables not including libraries
  `QueryExeCount(String filterMd5, String filterExeName, String filterArch, String filterCompilerName, boolean includeFakes)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getDescriptionManager, getLocalStagingCopy, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### exeresponse

    public ResponseExe exeresponse

  - ### filterMd5

    public String filterMd5

  - ### filterExeName

    public String filterExeName

  - ### filterArch

    public String filterArch

  - ### filterCompilerName

    public String filterCompilerName

  - ### includeFakes

    public boolean includeFakes

- ## Constructor Details

  - ### QueryExeCount

    public QueryExeCount()
    Query for count of all executables not including libraries

  - ### QueryExeCount

    public QueryExeCount(String filterMd5, String filterExeName, String filterArch, String filterCompilerName, boolean includeFakes)
    Constructor
    Parameters:
      `filterMd5` - md5 filter
      `filterExeName` - executable name filter
      `filterArch` - architecture filter
      `filterCompilerName` - compiler name filter
      `includeFakes` - if true, include MD5s that start with `bbbbbbbbaaaaaaa`

- ## Method Details

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponseExe>`

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponseExe>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponseExe>`
    Throws:
      `LSHException`